Skip to main content
`Ctrl`+`K`

# DMInterpolationCreate

Creates a `DMInterpolationInfo` context

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationCreate(MPI_Comm comm, DMInterpolationInfo *ctx)

Collective

## Input Parameter

- comm - the communicator

## Output Parameter

- ctx - the context

## Developer Note

The naming is incorrect, either the object should be named `DMInterpolation` or all the routines should begin with `DMInterpolationInfo`

## See Also

DM Basics, `DM`, `DMInterpolationInfo`, `DMInterpolationEvaluate()`, `DMInterpolationAddPoints()`, `DMInterpolationDestroy()`

## Level

beginner

## Location

src/snes/utils/dm/dminterpolatesnes.c

## Examples

src/ts/tutorials/ex77.c
src/snes/tutorials/ex63.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages